# Default target settings
#
# Some of these values are redefined in the target specific .cfg files.
#
# Created by Jiri Gaisler, 16-03-97  (who is owed a debt of gratitude
#   for converting RTEMS to autoconf.  Thanks. --joel)
#
#  $Id: default.cfg,v 1.2 2001-09-27 12:02:52 chris Exp $
#

include $(RTEMS_ROOT)/make/target.cfg
include $(RTEMS_ROOT)/make/host.cfg

include $(RTEMS_ROOT)/make/main.cfg
include $(RTEMS_ROOT)/$(RTEMS_BSP)/make/bsp.cfg

# use the inline functions instead of the macros
# ref: src/exec/generic/Makefile
ifeq ($(RTEMS_USE_MACROS),yes)
INLINE=macros
INLINE_UPCASE=
else
INLINE=inline
INLINE_UPCASE=INLINE
endif

## Target compiler config file, if any
CONFIG.CC = $(RTEMS_ROOT)/make/compilers/gcc-target-default.cfg

## GCC specs extension file location
RTEMS_BSP_SPECS = $(PROJECT_ROOT)/$(RTEMS_BSP)/lib/bsp_specs

# Base name of start file
START_BASE=start

